package com.uas.account.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.uas.account.service.SynchrodataToOldPlatService;

/**
 * 同步企业人员信息到旧平台
 * 
 * @author hejq
 * @time 创建时间：2017年4月13日
 */
@RequestMapping("/synchrodataToOldPlat")
@Controller
public class SynchrodataToOldPlatController {

	@Autowired
	private SynchrodataToOldPlatService synchrodataToOldPlatService;

	/**
	 * 同步数据和人员信息到旧平台
	 * 
	 * @param userId
	 * @param enId
	 * @return
	 */
	@RequestMapping(method = RequestMethod.POST)
	@ResponseBody
	private ModelMap synchrodataToOldPlat(Long id) {
		return synchrodataToOldPlatService.synchrodataToOldPlat(id);
	}
	
	/**
	 * 查询当前用户在当前企业的旧平台的密码信息
	 * 
	 * @param id
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET)
	@ResponseBody
	private ModelMap findUserPasswordInOldPlat(Long id) {
		return synchrodataToOldPlatService.findUserPasswordInOldPlat(id);
	}

}
