<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="renderer" content="webkit">
<title>账户中心</title>
<meta name="description" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/toastr.min.css">
<link rel="stylesheet" type="text/css" href="static/css/business.css"/>
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="groups" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="row">
				<div class="x-content-wrap clearfix">
					<div class="col-sm-12 col-md-9 x-content">
						<!-- tab切换 start-->
						<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs">
							<h2 class="btn-group">
								<span class="btn btn-lg x-btn-search"><i class="fa fa-search"></i>
									企业</span>
								<div class="dropdown-menu" id="searchlist" style="padding: 15px; width: 240px;" id="enterprise-search">
									<form>
										<div class="form-group">
											<label>名称</label> <input type="search" class="form-control"
												name="name" placeholder="输入企业名称关键字">
										</div>
										<div class="form-group">
											<label>营业执照</label> <input type="text" class="form-control"
												name="businessCode" placeholder="输入营业执照">
										</div>
										<div class="form-group">
											<label>企业地址</label> <input type="text" class="form-control"
												name="address" placeholder="输入企业所在地">
										</div>
										<div class="form-group">
											<div>
												<label>分页设置</label>
											</div>
											<label class="radio-inline"> <input type="radio"
												name="pageSize" value="10" checked> 10
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="20"> 20
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="50"> 50
											</label>
										</div>
										<button class="btn btn-default btn-block btn-search"
											type="button">搜索</button>
									</form>
								</div>
							</h2>
						</ul>
						<!-- tab切换 end-->
						<!-- 列表 start -->
						<div class="x-mod x-list x-data-list-wrap">
							<div class="x-mod-body">
								<div class="x-data-list">
									<!-- items -->
								</div>
								<div class="x-empty" style="display: none">
									<i class="fa fa-coffee"></i>
									<p>这里很干净！</p>
								</div>
							</div>
							<div class="x-mod-footer">
								<div class="text-center">
									<ul class="pagination pull-right"></ul>
								</div>
							</div>
						</div>
						<!-- 列表 end -->
					</div>

					<!-- 侧边统计栏 start-->
					<div class="col-sm-12 col-md-3 x-side-bar hidden-xs hidden-sm">
						<!-- 开通应用统计 -->
						<div class="x-mod text-justify" id="userSpaceAppCount">
							<div class="x-mod-head">
								<h4>企业分类统计</h4>
							</div>
							<div class="x-mod-body"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->
	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/bootstrap.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/business/groups.js"></script>
	<!-- modal -->
	<script type="text/html" id="userSpaceDetailModal">
<div class="modal fade" role="dialog">
	<div class="modal-dialog x-modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<!-- tab切换 start-->
			<ul
				class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs modal-header"
				role="tablist">
				<li class="active"><a href="#userSpaceDetailModal_info"
					aria-controls="userSpaceDetailModal_info" role="tab"
					data-toggle="tab">详细资料</a></li>
				<h2 class="hidden-xs">
					<i class="fa fa-file-text-o"></i> @{shortName}
				</h2>
			</ul>
			<!-- tab切换 end-->
			<div role="tabpanel" id="userSpaceDetailModal_info"
				class="x-tab-pane active">
				<div class="modal-body">
					<div class="x-group-header">
						<h4>企业信息</h4>
					</div>
					<dl class="dl-horizontal x-dl-horizontal">
						<dt>企业名称</dt>
						<dd>@{name} </dd>
						<dt>企业简称</dt>
						<dd>@{shortName}</dd>
						<dt>营业执照</dt>
						<dd>@{businessCode}</dd>
						<dt>注册地区</dt>
						<dd>@{area} </dd>
						<dt>企业地址</dt>
						<dd>@{address}</dd>
						<dt>所属行业</dt>
						<dd>@{fn:getIndustry}</dd>
						<dt>官网地址</dt>
						<dd>@{url}</dd>
					</dl>
					<div class="x-group-header">
						<h4>管理员信息</h4>
					</div>
					<dl class="dl-horizontal x-dl-horizontal">
						<dt>姓名</dt>
						<dd>@{adminName}</dd>
						<dt>手机号</dt>
						<dd>@{adminTel}</dd>
						<dt>邮箱</dt>
						<dd>@{adminEmail}</dd>
					</dl>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-blank" data-dismiss="modal">关闭</button>
					<button type="button" class="btn btn-default btn-submit" title="添加合作伙伴">添加</button>
				</div>
			</div>
		</div>
	</div>
</div>
	</script>
</body>
</html>