<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="renderer" content="webkit">
<title>账户中心</title>
<meta name="description" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/toastr.min.css">
<link rel="stylesheet" type="text/css" href="static/css/business.css"/>
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="request" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="row">
				<div class="x-content-wrap clearfix">
					<div class="col-sm-12 col-md-9 x-content">
						<!-- tab切换 start-->
						<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs">
							<li><a data-status="UNAPPLY">未通过</a></li>
							<li><a data-status="ENABLED">已通过</a></li>
							<li class="active"><a data-status="UNAUDIT">待审批</a></li>
							<h2 class="btn-group">
								<span class="btn btn-lg x-btn-search"><i class="fa fa-search"></i>
									企业</span>
								<div class="dropdown-menu" id="searchlist" style="padding: 15px; width: 240px;">
									<form>
										<div class="form-group">
											<label>企业名称</label> <input type="text" class="form-control"
												name="name" placeholder="输入企业名称关键字">
										</div>
										<div class="form-group">
											<label>营业执照</label> <input type="text" class="form-control"
												name="businessCode" placeholder="输入营业执照">
										</div>
										<div class="form-group">
											<label>申请人姓名</label> <input type="text" class="form-control"
												name="custUserName" placeholder="输入申请人姓名">
										</div>
										<div class="form-group">
											<div>
												<label>分页设置</label>
											</div>
											<label class="radio-inline"> <input type="radio"
												name="pageSize" value="10" checked> 10
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="20"> 20
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="50"> 50
											</label>
										</div>
										<button class="btn btn-default btn-block btn-search"
											type="button">搜索</button>
									</form>
								</div>
							</h2>
						</ul>
						<!-- tab切换 end-->
						<!-- 列表 start -->
						<div class="x-mod x-list x-data-list-wrap">
							<div class="x-mod-body">
								<div class="x-data-list">
									<!-- items -->
								</div>
								<div class="x-empty" style="display: none">
									<i class="fa fa-coffee"></i>
									<p>这里很干净！</p>
								</div>
							</div>
							<div class="x-mod-footer">
								<div class="text-center">
									<ul class="pagination pull-right"></ul>
								</div>
							</div>
						</div>
						<!-- 列表 end -->
					</div>

					<!-- 侧边统计栏 start-->
					<div class="col-sm-12 col-md-3 x-side-bar hidden-xs hidden-sm">
						<!-- 开通应用统计 -->
						<div class="x-mod text-justify" id="userSpaceAppCount">
							<div class="x-mod-head">
								<h4>发出的请求</h4>
							</div>
							<div class="x-mod-body"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->
	<!-- loading -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/bootstrap.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/business/request.js"></script>
	<!-- modal -->
	<script type="text/html" id="userSpaceDetailModal">
<div class="modal fade" role="dialog">
	<div class="modal-dialog x-modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<!-- tab切换 start-->
			<ul
				class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs modal-header"
				role="tablist">
				<li class="active"><a href="#userSpaceDetailModal_info"
					aria-controls="userSpaceDetailModal_info" role="tab"
					data-toggle="tab">申请详情</a></li>
				<h2 class="hidden-xs">
					<i class="fa fa-file-text-o"></i> @{vendName}
				</h2>
			</ul>
			<!-- tab切换 end-->
			<div role="tabpanel" id="userSpaceDetailModal_info"
				class="x-tab-pane active">
				<div class="modal-body">
					<div class="x-group-header">
						<h4>企业信息</h4>
					</div>
					<dl class="dl-horizontal x-dl-horizontal">
						<dt>企业名称</dt>
						<dd>@{vendName}</dd>
						<dt>营业执照</dt>
						<dd>@{vendUID}</dd>
						<dt>状态</dt>
						<dd>@{status}</dd>
					</dl>
					<div class="x-group-header">
						<h4>申请人信息</h4>
					</div>
					<dl class="dl-horizontal x-dl-horizontal">
					<dt>申请人</dt>
						<dd>@{custUserName}</dd>
						<dt>联系方式</dt>
						<dd>@{custUserTel}</dd>
						<dt>申请时间</dt>
						<dd>@{requestDate}</dd>
					</dl>
					<div id="reasonWrap" style="display: none">
						<div class="x-group-header">
							<h4>审批意见</h4>
						</div>
						<dl class="dl-horizontal x-dl-horizontal">
							<dt>原因</dt>
							<dd>@{reason}</dd>
						</dl>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-blank" data-dismiss="modal">关闭</button>
					<button type="button" class="btn btn-default btn-submit"
						style="display: none">再次申请</button>
				</div>
			</div>
		</div>
	</div>
</div>
	</script>
</body>
</html>