<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="renderer" content="webkit">
<title>企业更换管理员 - 优软云</title>
<meta name="description" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/toastr.min.css">
<link rel="stylesheet" type="text/css" href="static/css/changeAdmin.css" />
<meta name="referrer" content="origin" />
</head>
<body>
	<!-- old brower Start -->
	<jsp:include page="../common/brower_tip.jsp" />
	<!-- old brower End -->
	<!-- header Start -->
	<nav class="x-navbar">
		<div class="container">
			<div class="navbar-header">
				<span class="navbar-brand">企业更换管理员</span>
			</div>
			<div class="collapse navbar-collapse navbar-right">
				<span class="navbar-text"> 已经注册？<a
					href="sso/login?appId=${appId}" class="x-text-link">立即登录</a>
				</span>
			</div>
		</div>
	</nav>
	<!-- header End -->
	<!-- content Start -->
	<div class="x-content">
		<div class="container">
			<ul class="list-unstyled list-inline x-step x-step-3x">
				<li <c:if test="${pageStep==1}"> class="active"</c:if>><strong>1.</strong>填写企业信息<i class="x-split"></i></li>
				<li <c:if test="${pageStep==2}"> class="active"</c:if>><strong>2.</strong>企业信息审核（1-2个工作日）<i class="x-split"></i></li>
				<li <c:if test="${pageStep==3}"> class="active"</c:if>><strong>3.</strong>更换成功</li>
			</ul>
			<div class="x-step-content">
				<jsp:include page="step${pageStep}.jsp"></jsp:include>
			</div>
		</div>
	</div>
	<!-- content End -->
	<!-- footer Start -->
	<jsp:include page="../common/footer.jsp" />
	<!-- footer End -->
	<!-- image box -->
	<div id="image-box" style="display: none">
		<div class="x-close-wrap" title="关闭">
			<a href="javascript:void(0);">&times;</a>
		</div>
		<div class="x-floating-wrap"></div>
		<div class="x-floating">
			<img />
		</div>
	</div>
	<!-- loading box -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/bootstrap.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/upload.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/changeAdmin.js"></script>
</body>
</html>