<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<title>账户中心 - 优软云</title>
<meta name="description" content="" />
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css" href="static/lib/css/weui.min.css">
<link rel="stylesheet" type="text/css" href="static/lib/css/toastr.min.css">
<link rel="stylesheet" href="static/css/mobile/sso.css" />
<meta name="referrer" content="origin" />
</head>
<body>
	<div id="body" style="display: none"></div>
	<div class="container">
		<div class="cell">
			<div class="hd">
				<h4>
					<img src="static/img/icon_brand.png" alt="" height="20px"/>
					<span>优软云</span>
				</h4>
			</div>
			<div class="bd x-login-form" id="form-wrap">
				<div class="weui_cells_title">
					请输入您的账号密码登录
				</div>
				<div class="weui_cells weui_cells_form">
					<form action="">
						<input type="hidden" name="appId" value="${appId}">
						<input type="hidden" name="returnUrl" value="${returnUrl}">
						<input type="hidden" name="spaceId" value="${spaceId}">
						<input type="hidden" name="baseUrl" value="${baseUrl}">
						<div class="weui_cell">
							<div class="weui_cell_hd">
								<label class="weui_label">账号</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="text" class="weui_input " placeholder="手机号/邮箱/账号ID" name="username" />
							</div>
						</div>
						<div class="weui_cell">
							<div class="weui_cell_hd">
								<label class="weui_label">密码</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="password" class="weui_input" placeholder="密码" name="password" />
							</div>
						</div>
					</form>
				</div>
				<div class="weui_btn_area">
					<button href="" class="btn weui_btn x-btn-primary">登录</button>
				</div>
			</div>
			<div class="ft">
				<div class="x-login-help">
					<a class="pull-left" href="user/pwd?appId=${appId}">忘记密码</a>
					<a class="pull-right" href="sso/register?appId=${appId}">免费注册</a>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
	</div>
	
	<div id="actionSheet_wrap">
		<div class="weui_mask_transition" id="mask"></div>
		<div class="weui_actionsheet" id="weui_actionsheet">
			<div class="weui_actionsheet_header">
				<div class="weui_actionsheet_cell">请选择您要登录的公司</div>
			</div>
			<div class="weui_actionsheet_menu">
			</div>
			<div class="weui_actionsheet_action">
				<div class="weui_actionsheet_cell" id="actionsheet_cancel">取消</div>
			</div>
		</div>
	</div>

	<div id="loading" class="weui_loading_toast">
		<div class="weui_mask_transparent"></div>
		<div class="weui_toast">
			<div class="weui_loading">
				<div class="weui_loading_leaf weui_loading_leaf_0"></div>
				<div class="weui_loading_leaf weui_loading_leaf_1"></div>
				<div class="weui_loading_leaf weui_loading_leaf_2"></div>
				<div class="weui_loading_leaf weui_loading_leaf_3"></div>
				<div class="weui_loading_leaf weui_loading_leaf_4"></div>
				<div class="weui_loading_leaf weui_loading_leaf_5"></div>
				<div class="weui_loading_leaf weui_loading_leaf_6"></div>
				<div class="weui_loading_leaf weui_loading_leaf_7"></div>
				<div class="weui_loading_leaf weui_loading_leaf_8"></div>
				<div class="weui_loading_leaf weui_loading_leaf_9"></div>
				<div class="weui_loading_leaf weui_loading_leaf_10"></div>
				<div class="weui_loading_leaf weui_loading_leaf_11"></div>
			</div>
			<p class="weui_toast_content">加载中</p>
		</div>
	</div>

	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/mobile/sso.js"></script>

</body>
</html>