<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<title>账户中心 - 优软云</title>
<meta name="description" content="" />
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css" href="static/lib/css/weui.min.css">
<link rel="stylesheet" type="text/css" href="static/lib/css/toastr.min.css">
<link rel="stylesheet" href="static/css/mobile/sso.css" />
<meta name="referrer" content="origin" />
</head>
<body>
	
	<div class="container">
		<div class="cell">
			<div class="hd">
				<h4>
					<img src="static/img/icon_brand.png" alt="" height="20px"/>
					<span>优软云</span>
				</h4>
			</div>

			<form name="checkForm" class="x-login-form">
				<div class="bd">
					<div class="weui_cells_title">
						密码找回 > <span class="x-text-step">身份验证</span>
					</div>
					<div class="weui_cells weui_cells_form">
						<div class="weui_cell">
							<div class="weui_cell_hd">
								<label class="weui_label">账号</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="text" class="weui_input " placeholder="手机号/邮箱" name="username" required
									   x-error-text="请填写手机号或邮箱地址" />
							</div>
						</div>
						<div class="weui_cell weui_vcode">
							<div class="weui_cell_hd">
								<label class="weui_label">验证码</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="text" class="weui_input" placeholder="验证码" name="validCode" required
									   x-error-text="请填写收到的验证码" />
							</div>
							<div class="weui_cell_ft">
								<button class="weui_btn x-btn x-btn-code"
										type="button">获取验证码</button>
							</div>
						</div>
					</div>
					<div class="weui_btn_area">
						<button type="button" class="btn weui_btn x-btn-primary x-btn-submit">验证</button>
					</div>
				</div>
			</form>

			<form name="resetForm" class="x-reset-form" style="display: none;">
				<div class="bd">
					<div class="weui_cells_title">
						密码找回 > <span class="x-text-step">重置密码</span>
					</div>
					<div class="weui_cells weui_cells_form">
						<div class="weui_cell">
							<div class="weui_cell_hd">
								<label class="weui_label">设置新密码</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="password" class="weui_input" placeholder="6-20位字母、数字" name="password" required x-minlength="6"
									   x-maxlength="20" x-error-text="请输入6-20位字母、数字组合密码" />
							</div>
						</div>
						<div class="weui_cell">
							<div class="weui_cell_hd">
								<label class="weui_label">再次输入</label>
							</div>
							<div class="weui_cell_bd weui_cell_primary">
								<input type="password" class="weui_input" placeholder="请再次输入新密码" name="passwordConfirm" required
									   x-minlength="6" x-maxlength="20"
									   x-error-text="请输入6-20位字母、数字组合密码" />
							</div>
						</div>
					</div>
					<div class="weui_btn_area">
						<button type="button" class="btn weui_btn x-btn-primary x-btn-submit">确认</button>
					</div>
				</div>
			</form>

			<div class="ft">
				<div class="x-login-help">
					<div class="pull-left">
						想起密码了？
					</div>
					<div class="pull-right">
						<a href="sso/login?appId=${appId}">立即登录</a>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
	</div>

	<div id="loading" class="weui_loading_toast">
		<div class="weui_mask_transparent"></div>
		<div class="weui_toast">
			<div class="weui_loading">
				<div class="weui_loading_leaf weui_loading_leaf_0"></div>
				<div class="weui_loading_leaf weui_loading_leaf_1"></div>
				<div class="weui_loading_leaf weui_loading_leaf_2"></div>
				<div class="weui_loading_leaf weui_loading_leaf_3"></div>
				<div class="weui_loading_leaf weui_loading_leaf_4"></div>
				<div class="weui_loading_leaf weui_loading_leaf_5"></div>
				<div class="weui_loading_leaf weui_loading_leaf_6"></div>
				<div class="weui_loading_leaf weui_loading_leaf_7"></div>
				<div class="weui_loading_leaf weui_loading_leaf_8"></div>
				<div class="weui_loading_leaf weui_loading_leaf_9"></div>
				<div class="weui_loading_leaf weui_loading_leaf_10"></div>
				<div class="weui_loading_leaf weui_loading_leaf_11"></div>
			</div>
			<p class="weui_toast_content">加载中</p>
		</div>
	</div>


	<!--BEGIN dialog2-->
	<div class="weui_dialog_alert" id="successDialog" style="display: none;">
		<div class="weui_mask"></div>
		<div class="weui_dialog">
			<div class="weui_dialog_hd"><strong class="weui_dialog_title">重置密码成功</strong></div>
			<div class="weui_dialog_bd">您已经重新设置了密码，现在去登录吧！</div>
			<div class="weui_dialog_ft">
				<a href="javascript:;" class="weui_btn_dialog primary">确定</a>
			</div>
		</div>
	</div>

	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/mobile/pwd.js"></script>

</body>
</html>